<div class="admin-container">
    <app-admin-sidebar></app-admin-sidebar>
    <div class="admin-main-container">
        <table mat-table class="nursesTable" [dataSource]="tableDataSource">
            
            <ng-container matColumnDef="createdAt">
                <th mat-header-cell-class="table-col" class='display-col' *matHeaderCellDef>Created At</th>
                <td mat-cell class="display-col" *matCellDef="let tableDataSource">{{tableDataSource.createdAt | date}}</td>
            </ng-container>
        
            <ng-container  matColumnDef="updatedAt">
                <th mat-header-cell-class="table-col" class='display-col' *matHeaderCellDef>Update At</th>
                <td mat-cell class="display-col" *matCellDef="let tableDataSource">{{tableDataSource.updatedAt | date}}</td>
            </ng-container>
        
            <tr mat-header-row *matHeaderRowDef="columnsToDisplay"></tr>
            <tr mat-row *matRowDef="let myRowData; columns:columnsToDisplay"></tr>
        </table>
    </div>
</div>


